# TriggerEvent<T> Class | UniTask

Show / Hide Table of Contents

# TriggerEvent<T> Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class TriggerEvent<T> : IResolveCancelPromise<T>, IResolvePromise<T>, ICancelPromise

##### Inheritance

System.Object → TriggerEvent<T>

##### Implements

IResolveCancelPromise<T>
IResolvePromise<T>
ICancelPromise

#### Type Parameters

`T`

### Members

#### Methods

Name | Description
--- | ---
Add(IResolveCancelPromise<T>) |
Remove(IResolveCancelPromise<T>) |
TrySetCanceled(CancellationToken) |
TrySetResult(T) |

### Methods

#### Add(IResolveCancelPromise<T>)

    public void Add(IResolveCancelPromise<T> handler)

##### Parameters

`handler` IResolveCancelPromise<T>

#### Remove(IResolveCancelPromise<T>)

    public void Remove(IResolveCancelPromise<T> handler)

##### Parameters

`handler` IResolveCancelPromise<T>

#### TrySetCanceled(CancellationToken)

    public bool TrySetCanceled(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

System.Boolean

#### TrySetResult(T)

    public bool TrySetResult(T value)

##### Parameters

`value` T

##### Returns

System.Boolean

### Implements

IResolveCancelPromise<T>
IResolvePromise<T>
ICancelPromise